ג'ומלה 3

פרויקט ג'ומלה שמח לבשר על זמינותה המיידי של ג'ומלה 3.0.0 להורדה. זוהי הגירסה המרכזית הבאה של מערכת ניהול התוכן ג'ומלה במסלול תמיכה קצר טווח (STS, ר"ת Short Term Support). כל משתמשי ג'ומלה 3.0 יצטרכו לתכנן עדכון לגרסאות  זמינות במחזור החיים של מסלול STS של 6 חודשים עד אשר שגירסה 3.5. עדכונים אלו יהיו פשוטים ועם תמיכה מלאה לאחור.

למי נועדה גירסה זו?

גרסאות קצרות טווח תוכננו עבור משתמשים שצריכים גישה לפיצ'רים חדשים. רוב המשתמשים עם אתרים שבנויים על ג'ומלה 2.5 לא יצטרכו לעדכן ל-3.0. משתמשים אשר בונים אתרים חדשים בין אם בגירסה 2.5 ובין 3.0, תלויים בצרכים ובדרישות של האתר הנבנה. אנא בדקו את הזמינות של תבניות והרחבות של צד שלישי כאשר תחליטו באיזו גירסת ג'ומלה תשתמשו. בנוסף, אם תחליטו להשתמש בגירסה 3.0, קחו בחשבון שתצטרכו לעדכן גירסה כל ששה חודשים (ל-3.1, 3.2 וכך הלאה) עד שגירסה 3.5 תשוחרר. עדכונים אלו יהיו פשוטים, עם תאימות מלאה לאחור.

מה המצב של ג'ומלה 2.5?

גירסת 2.5 של ג'ומלה הינה גירסה בעלת תמיכה ארוכת טווח (LTS, ר"ת של Long Term Support) ותיתמך לפחות עד שג'ומלה 3.5 תשוחרר, אשר מיועדת להשתחרר באביב 2014. משתמשים בגירסה 2.5 אינה צריכים לשדרג לגירסה 3.0.

מה המצב של ג'ומלה 1.5?

תמיכה בג'ומלה 1.5 תסתיים מייד אחרי שחרורה של ג'ומלה 3.0. כרגע היא נתמכת לבעיות אבטחה בלבד.

האם אוכל לעדכן ישירות מ-2.5 לג'ומלה 3?

כן. כל נושאי השדרוג יעודכנו בעדיפות עליונה וקרוב לוודאי שהן יתוקנו בסדרת הגרסאות של ג'ומלה 3. בכל אופן, רוב התבניות וההרחבות של ג'ומלה 2.5 יצטרכו להתעדכן כדי שהן יעבדו בג'ומלה 3. כמו תמיד, מומלץ לבצע בדיקה לפני שדרוג, להתייעץ עם מפתחי הרחבות ותבניות שהנכם משתמשים, ולהעלות שאלות בפורום ג'ומלה. שימו לב כי הדרישות המינימליות להרצת ג'ומלה 3.0 שונות מג'ומלה 2.5. בנוסף לדרישה לגרסאות חדשות של תוכנות, הגדרות מסויימות דורשות שינוי, כגון magic quotes שחייב להיות כבוי (מוגדר כ-off). אנא בדקו את הדרישות הטכניות ואת פרק שאלות נפוצות על ג'ומלה 3.0.0 עבור מידע נוסף ושדרוג מ-2.5 ל-3.0. 

מה חדש בג'ומלה 3?

  • שימוש ב-Bootstrap של טוויטר ובחבילת המדיה jui.
  • תבנית ניהול חדשה ורספונסיבית, ששמה Isis, הכוללת מראה חדש.
  • תבנית צד קדמי חדשה, ששמה Protostar, הנבנתה של ה-Bootstrap של טוויטר.
  • תבנית צד קדמי חדשה ורספונסיבית ששמה Beez3.
  • דרייבר עבור PostgreSQL. תוכלו להריץ אתרי ג'ומלה 3.0 בעזרת שימוש בבסיס הנתונים PostgreSQL.
  • שכבת מטמון Memcached (גילוי נאות: מתרגם המאמר תרם פיצ'ר זה).
  • שימוש ב-JFeed עבור ניהול פידים במקום SimplePie.
  • התקנת חבילות שפה ישירות מניהול הרחבות.
  • קבוצת ACL חדשה Guest כברירת מחדל.
  • שמירת מאמרים ריקים אפשרית.
  • מודול סטטיסיטיקות חדש בניהול.
  • עדכון TinyMCE לגירסה 3.5.6.
  • המשך ניקוי קוד, קבצים, שדות וטבלאות בבסיס נתונים שאינם בשימוש.
  • שיפור סטנדרטים של טבלאות.
  • שיפורים בחיפוש החכם.
  • סטנדרטיזציה של קוד.
  • בדיקות יחידה (Unit Testing) של ה-CMS.
  • עדכון בדיקות מערכת ב-CMS.

בנוסף לכל אלה, עודכנה הפלטרפורמה של ג'ומלה (ליבת ג'ומלה המופרדת מה-CMS) לגירסה חדשה והיא כוללת חבילות חדשות.

הורדה

התקנות חדשות: לחץ כאן להורדה ג'ומלה 3.0.0 (חבילה מלאה) >>

בדקו את עמוד ההורדות עבור חבילות נוספות ומידע על עדכון.

הערה: אנא קראו את פרק שאלות הנפוצות של ג'ומלה 3.0 והוראות העדכון לפני העדכון.

הוראות

רוצים לנסות את ג'ומלה? נסו את הדמו המקוון. מידע למתחילים ניתן למצוא כאן.
אנא שימו לב כי עליכם לגבות תמיד לפני תחילת שדרוג אתרכם. 

סטטיסטיקות עבור גירסה 3.0.0

ג'ומלה 3.0.0 מכילה:
  • 34 פיצ'רים חדשים
  • ללא תיקוני אבטחה
  • 491 באגים שתיקנו

כיצד תוכלו לעזור בפיתוח ג'ומלה?

החדשות הטובות שאינך צריך להיות מפתח לעזור בבניית ג'ומלה. צוות הבדיקות של ג'ומלה (Joomla Bug Squad או בקיצור JBS) הינו אחד מהצוותים הכי פעילים בתהליך הפיתוח של ג'ומלה והוא תמיד מחפש אנשים (לא רק מפתחים) שיכולים לעזור בדיווח על באגים, טלאי תיקון ובדיקות תיקונים. זוהי דרך נהדרת כדי להרחיב את הידע שלך בג'ומלה, וגם בנוסף להכיר אנשים חדשים מסביב לעולם.

אם אתה מעוניין, אנא קרא  בויקי הרשמי של ג'ומלה. אם אתה מעוניין להצטרף צור קשר עם This e-mail address is being protected from spambots. You need JavaScript enabled to view it..

ראו גם

עליך להירשם כדי להוסיף תגובות

עופר כהן

חובב ג'ומלה
אתר המחבר/ת: http://embad.com